<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Slide (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Slide (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Slide.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/Slide.html" target="_top">Frames</a></li>
        <li><a href="Slide.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface Slide" class="title">Interface Slide&lt;S extends <a
            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd>java.lang.Iterable&lt;S&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                            title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                            title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;S,P&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html"
                           title="class in org.apache.poi.hslf.usermodel">HSLFSlide</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSlide</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">Slide&lt;S extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span>
extends <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
           title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;S,P&gt;</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Comment.html"
                                        title="interface in org.apache.poi.sl.usermodel">Comment</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getComments--">getComments</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getDisplayPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getDisplayPlaceholder</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                    <div class="block">In XSLF, slidenumber and date shapes aren't marked as
                                        placeholders
                                        whereas in HSLF they are activated via a HeadersFooter configuration.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getFollowMasterBackground--">getFollowMasterBackground</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getFollowMasterColourScheme--">getFollowMasterColourScheme</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getFollowMasterObjects--">getFollowMasterObjects</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                        title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="type parameter in Slide">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="type parameter in Slide">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getNotes--">getNotes</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getSlideLayout--">getSlideLayout</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getSlideName--">getSlideName</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getSlideNumber--">getSlideNumber</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#getTitle--">getTitle</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#isHidden--">isHidden</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setFollowMasterBackground-boolean-">setFollowMasterBackground</a></span>(boolean&nbsp;follow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setFollowMasterColourScheme-boolean-">setFollowMasterColourScheme</a></span>(boolean&nbsp;follow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setFollowMasterObjects-boolean-">setFollowMasterObjects</a></span>(boolean&nbsp;follow)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setHidden-boolean-">setHidden</a></span>(boolean&nbsp;hidden)</code>
                                    <div class="block">Sets the slide visibility</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html#setNotes-org.apache.poi.sl.usermodel.Notes-">setNotes</a></span>(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                        title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="type parameter in Slide">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="type parameter in Slide">P</a>&gt;&nbsp;notes)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Sheet">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">Sheet</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#draw-java.awt.Graphics2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getBackground--">getBackground</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getFollowMasterGraphics--">getFollowMasterGraphics</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getMasterSheet--">getMasterSheet</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html#getSlideShow--">getSlideShow</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.ShapeContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#addShape-S-">addShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createAutoShape--">createAutoShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createConnector--">createConnector</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createFreeform--">createFreeform</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createGroup--">createGroup</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTable-int-int-">createTable</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createTextBox--">createTextBox</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#getShapes--">getShapes</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#removeShape-S-">removeShape</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, iterator, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getNotes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNotes</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                        title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="type parameter in Slide">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="type parameter in Slide">P</a>&gt;&nbsp;getNotes()</pre>
                            </li>
                        </ul>
                        <a name="setNotes-org.apache.poi.sl.usermodel.Notes-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setNotes</h4>
                                <pre>void&nbsp;setNotes(<a href="../../../../../org/apache/poi/sl/usermodel/Notes.html"
                                                           title="interface in org.apache.poi.sl.usermodel">Notes</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="type parameter in Slide">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Slide.html"
                                        title="type parameter in Slide">P</a>&gt;&nbsp;notes)</pre>
                            </li>
                        </ul>
                        <a name="getFollowMasterBackground--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFollowMasterBackground</h4>
                                <pre>boolean&nbsp;getFollowMasterBackground()</pre>
                            </li>
                        </ul>
                        <a name="setFollowMasterBackground-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFollowMasterBackground</h4>
                                <pre>void&nbsp;setFollowMasterBackground(boolean&nbsp;follow)</pre>
                            </li>
                        </ul>
                        <a name="getFollowMasterColourScheme--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFollowMasterColourScheme</h4>
                                <pre>boolean&nbsp;getFollowMasterColourScheme()</pre>
                            </li>
                        </ul>
                        <a name="setFollowMasterColourScheme-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFollowMasterColourScheme</h4>
                                <pre>void&nbsp;setFollowMasterColourScheme(boolean&nbsp;follow)</pre>
                            </li>
                        </ul>
                        <a name="getFollowMasterObjects--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFollowMasterObjects</h4>
                                <pre>boolean&nbsp;getFollowMasterObjects()</pre>
                            </li>
                        </ul>
                        <a name="setFollowMasterObjects-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFollowMasterObjects</h4>
                                <pre>void&nbsp;setFollowMasterObjects(boolean&nbsp;follow)</pre>
                            </li>
                        </ul>
                        <a name="getSlideNumber--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSlideNumber</h4>
                                <pre>int&nbsp;getSlideNumber()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 1-based slide no.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTitle--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTitle</h4>
                                <pre>java.lang.String&nbsp;getTitle()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>title of this slide or null if title is not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDisplayPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDisplayPlaceholder</h4>
                                <pre>boolean&nbsp;getDisplayPlaceholder(<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</pre>
                                <div class="block">In XSLF, slidenumber and date shapes aren't marked as placeholders
                                    whereas in HSLF they are activated via a HeadersFooter configuration.
                                    This method is used to generalize that handling.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>placeholder</code> - the placeholder type</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the placeholder should be displayed/rendered</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.16-beta2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setHidden-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setHidden</h4>
                                <pre>void&nbsp;setHidden(boolean&nbsp;hidden)</pre>
                                <div class="block">Sets the slide visibility</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>hidden</code> - slide visibility, if <code>true</code> the slide is
                                        hidden, <code>false</code> shows the slide
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isHidden--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isHidden</h4>
                                <pre>boolean&nbsp;isHidden()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the slide visibility, the slide is hidden when <code>true</code> - or shown when
                                        <code>false</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getComments--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getComments</h4>
                                <pre>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/sl/usermodel/Comment.html"
                                        title="interface in org.apache.poi.sl.usermodel">Comment</a>&gt;&nbsp;getComments()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the comment(s) for this slide</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSlideLayout--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSlideLayout</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">MasterSheet</a>&nbsp;getSlideLayout()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the assigned slide layout</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSlideName--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getSlideName</h4>
                                <pre>java.lang.String&nbsp;getSlideName()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the slide name, defaults to "Slide[slideNumber]"</dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 4.0.0</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Slide.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/SlideShow.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/Slide.html" target="_top">Frames</a></li>
        <li><a href="Slide.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
